# Webhook Metadata

Webhooks share the [messages-metadata](https://docs.lhv.com/home/connect/services/messages/messages-metadata "mention") functionality allowing to add a list of most relevant values and keys directly to Webhooks body.

Sample of Webhook data with Metadata:

```
{
    "eventId": "7c3342349-9c9e-43e7-b11a-be84355f44fd",
    "eventTimestamp": "2024-12-19T07:41:18.421145632+01:00",
    "subscriptionReference": "9ab35ca0-2f58-4578-aea2-0e6123486c5g",
    "messageResponseId": "RESfaf42325221c4bg3a166686aaf76d55c",
    "messageRequestId": "REQce11219c581840199ca1e4ccasdfgg7",
    "messageType": "ACCOUNT_BALANCE",
    "messageCreatedTime": "2024-12-19T07:41:18.404298+01:00",
    "regCode": "13180222",
    "regCodeIssuer": "GB",
    "bankCode": "LHVUK",
    "metadata": {
        "Reports": [
            {
              "Acct.IBAN": "GB73LHVB04031500000045",
              "Acct.Ccy": "GBP"
            },
            {
              "Acct.IBAN": "GB73LHVB04031500000045",
              "Acct.Ccy": "EUR"
            }
          ]
    }
}
```

### Enabling/ Disabling Webhook Metadata&#x20;

The `attachMetadata` field allows users to enable or disable the inclusion of metadata in webhook messages. By setting this flag to `true`, metadata will be attached to the webhook payload, providing key contextual variables for efficient message handling.

This field can be configured during the creation of a webhook configuration or updated later through the edit configuration endpoint, offering flexibility to adjust metadata settings as requirements evolve. See [managing-webhook-configurations](https://docs.lhv.com/home/connect/services/webhooks/managing-webhook-configurations "mention")

### Metadata Available&#x20;

More info at [messages-metadata](https://docs.lhv.com/home/connect/services/messages/messages-metadata "mention")


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lhv.com/home/connect/services/webhooks/webhook-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
